CREATE TABLE BO_DEPT_PROJECT                                
           (BO_DEPT_PROJECT_ID VARCHAR(80),                   
            PROJECT_NAME       VARCHAR(200),                  
            MAJOR_ID           VARCHAR(40),                   
            DOMAIN_ID          VARCHAR(40),                   
            USERID             VARCHAR(20),                   
            PRIMARY KEY(BO_DEPT_PROJECT_ID,USERID));
            
CREATE TABLE BO_SINGLE_PROJECT                              
         (BO_SINGLE_PROJECT_ID VARCHAR(80),                   
          PROJECT_NUMBER       VARCHAR(40),                   
          PROJECT_NAME         VARCHAR(200),                  
          LONGITUDE            VARCHAR(20),                   
          LATITUDE             VARCHAR(20),                   
          START_TIME           TEXT,                          
          END_TIME             TEXT,                          
          CHECK_TIME           TEXT,                          
          PROJECT_HELPER       VARCHAR(100),                  
          BO_TEMPLATE_VER_ID   VARCHAR(80),                   
          BO_TEMPLATE_ID       VARCHAR(80),                   
          BO_DEPT_PROJECT_ID   VARCHAR(80),                   
          DEPT_PROJECT_NAME    VARCHAR(100),                  
          AREA_ID              VARCHAR(80),                   
          MAJOR_NAME           VARCHAR(100),                  
          MAJOR_ID             VARCHAR(80),                   
          ENTER_DATE           TEXT,                          
          UPDATE_DATE          TEXT,                          
          CREATE_DATE          TEXT,                          
          UPDATE_TIMESTAMP     TEXT,                          
          FULLUPLOAD_STATE     VARCHAR(1),                    
          PROJECT_STATUS       VARCHAR(1),                    
          PROJECT_NAME_HELPER  VARCHAR(100),                  
          DEPT_PRO_NAME_HELPER VARCHAR(100),                  
          DOMAIN_ID            VARCHAR(20),                   
          UPLOAD_AMOUNT        VARCHAR(100),                  
          USERID               VARCHAR(20),                   
          DELETE_FLAG          VARCHAR(8),                    
          PRIMARY KEY(BO_SINGLE_PROJECT_ID,USERID));

CREATE TABLE BO_PROJECT_SECTION                             
          (BO_PROJECT_SECTION_ID VARCHAR(80),                 
           BO_SINGLE_PROJECT_ID VARCHAR(80) ,                 
           SECTION_NAME         VARCHAR(200),                 
           SELECTION_NUMBER     INTEGER,                      
           CREATE_USERID        VARCHAR(40),                  
           CREATE_DATE          TEXT,                         
           DOMAIN_ID            INTEGER,                      
           USERID               VARCHAR(20),                  
           SECTION_UPLOAD_AMOUNT  VARCHAR(100),               
           PRIMARY KEY(BO_PROJECT_SECTION_ID,USERID));

CREATE TABLE BO_TEMPLATE_DETAIL_VER                         
          (BO_TEMPLATE_DETAIL_VER_ID VARCHAR(80) PRIMARY KEY, 
           BO_TEMPLATE_ID            VARCHAR(40),             
           BO_NAME                   VARCHAR(100),            
           BO_PARENT_ID              VARCHAR(80),             
           BO_TYPE                   VARCHAR(40),             
           BO_TOTAL                  INTEGER,                 
           ORDER_POS                 INTEGER,                 
           BO_TEMPLATE_VER_ID        VARCHAR(80),             
           DOMAIN_ID                 VARCHAR(20));

CREATE TABLE BO_CRITICAL_POINT_VER                          
           (BO_CRITICAL_POINT_VER_ID  VARCHAR(80) PRIMARY KEY,
            POINT_NAME                VARCHAR(200),           
            BO_TEMPLATE_DETAIL_VER_ID VARCHAR(80),            
            BO_TEMPLATE_VER_ID        VARCHAR(80),            
            NEED_VALIDATE             VARCHAR(1),             
            POINT_RULE                VARCHAR(2000),          
            PHOTO_NAME_RULE           VARCHAR(2000),          
            PHOTO_NAME_REGEX          VARCHAR(200),           
            NEED_COUNT                INTEGER,                
            BO_USER                   VARCHAR(200),           
            ORD_NUM                   INTEGER,                
            DOMAIN_ID                 VARCHAR(20)) ;

CREATE TABLE BO_CONTENT                                     
            (BO_CONTENT_ID             VARCHAR(40),           
             BO_CONTENT_NAME           VARCHAR(40),           
             BO_TEMPLATE_DETAIL_VER_ID VARCHAR(100),          
             BO_SINGLE_PROJECT_ID      VARCHAR(40),           
             BO_PROJECT_SECTION_ID     VARCHAR(100),          
             BO_TOTAL_NUM              VARCHAR(100),          
             BO_CURRENT_NUM            VARCHAR(100),          
             CREATE_DATE               TEXT,                  
             UPDATE_DATE               TEXT,                  
             DOMAIN_ID                 VARCHAR(100),          
             IS_DOWNLOAD               VARCHAR(4),            
             USERID                    VARCHAR(20),           
             PRIMARY KEY(BO_CONTENT_ID,USERID));

CREATE TABLE BO_PHOTO                                       
            (BO_PHOTO_ID               VARCHAR(80),           
             PHOTO_NAME                VARCHAR(200),          
             PHOTO_PATH                VARCHAR(100),          
             BO_CRITICAL_POINT_VER_ID  VARCHAR(80),           
             POINT_NAME                VARCHAR(400),          
             BO_SINGLE_PROJECT_ID      VARCHAR(80),           
             BO_PROJECT_SECTION_ID     VARCHAR(80),           
             BO_CONTENT_ID             VARCHAR(80),           
             FILE_PREFIX               VARCHAR(100),          
             FILE_SUFFIX               VARCHAR(100),          
             CREATE_USERID             VARCHAR(40),           
             DISCRIPTION               NUMBER,                
             MEMO                      VARCHAR(100),          
             LATITUDE                  VARCHAR(20),           
             LONGITUDE                 VARCHAR(20),           
             CREATE_DATE               TEXT       ,           
             REF_MINEIMAGE_ID          VARCHAR(80),           
             IS_FORMAL                 VARCHAR(10),           
             PHOTO_TYPE                VARCHAR(20),           
             IS_UPLOAD                 VARCHAR(20),           
             IMAGE_QUALITY             VARCHAR(20),           
             SERIALIZE_NUM             VARCHAR(20),           
             PHOTO_SIZE                VARCHAR(20),           
             IS_DOODLED                VARCHAR(1),            
             DOMAIN_ID                 VARCHAR(20),           
             IS_DOWNLOAD               VARCHAR(20),           
             DOWNLOAD_URL              VARCHAR(200),          
             USERID                    VARCHAR(20),           
             PRIMARY KEY(BO_PHOTO_ID,USERID));

CREATE TABLE BO_FILE                                        
            (BO_DOC_BODY_ID            VARCHAR(80),           
             BO_CRITICAL_POINT_VER_ID  VARCHAR(80),           
             PHOTO_PATH                VARCHAR(100),          
             USERID                    VARCHAR(20));

CREATE TABLE BO_TEMPLATE_EXCLUDE                            
            (BO_TEMPLATE_EXCLUDE_ID     VARCHAR(80),          
             BO_SINGLE_PROJECT_ID       VARCHAR(80),          
             BO_TEMPLATE_DETAIL_VER_ID  VARCHAR(80),          
             USERID                     VARCHAR(80),          
             PRIMARY KEY(BO_TEMPLATE_EXCLUDE_ID,USERID));