ALTER TABLE BO_SINGLE_PROJECT RENAME TO BO_SINGLE_PROJECT_OLD;
CREATE TABLE BO_SINGLE_PROJECT                              
           (BO_SINGLE_PROJECT_ID VARCHAR2(80),                   
            PROJECT_NUMBER       VARCHAR2(40),                   
            PROJECT_NAME         VARCHAR2(200),                  
            LONGITUDE            VARCHAR2(20),                   
            LATITUDE             VARCHAR2(20),                   
            START_TIME           TEXT,                          
            END_TIME             TEXT,                          
            CHECK_TIME           TEXT,                          
            PROJECT_HELPER       VARCHAR2(100),                  
            BO_TEMPLATE_VER_ID   VARCHAR2(80),                   
            BO_TEMPLATE_ID       VARCHAR2(80),                   
            BO_DEPT_PROJECT_ID   VARCHAR2(80),                   
            DEPT_PROJECT_NAME    VARCHAR2(100),                  
            AREA_ID              VARCHAR2(80),                   
            MAJOR_NAME           VARCHAR2(100),                  
            MAJOR_ID             VARCHAR2(80),
            ENTER_DATE           TEXT, 
            UPDATE_DATE          TEXT,                          
            CREATE_DATE          TEXT,                          
            UPDATE_TIMESTAMP     TEXT,                             
            FULLUPLOAD_STATE     VARCHAR2(1),                    
            PROJECT_STATUS       VARCHAR2(1),                    
            PROJECT_NAME_HELPER  VARCHAR2(100),                                   
            DOMAIN_ID            VARCHAR2(20),
            NEED_AMOUNT          VARCHAR2(10),
            UPLOAD_AMOUNT        VARCHAR2(10),                  
            USERID               VARCHAR2(20),                   
            DELETE_FLAG          VARCHAR2(1),                    
            PRIMARY KEY(BO_SINGLE_PROJECT_ID,USERID));
INSERT INTO BO_SINGLE_PROJECT
            (BO_SINGLE_PROJECT_ID ,                   
            PROJECT_NUMBER        ,                   
            PROJECT_NAME          ,                  
            LONGITUDE             ,                   
            LATITUDE              ,                   
            START_TIME            ,                          
            END_TIME              ,                          
            CHECK_TIME            ,                          
            PROJECT_HELPER        ,                  
            BO_TEMPLATE_VER_ID    ,                   
            BO_TEMPLATE_ID        ,                   
            BO_DEPT_PROJECT_ID    ,                   
            DEPT_PROJECT_NAME     ,                  
            AREA_ID               ,
            MAJOR_NAME            ,
            MAJOR_ID              ,
            ENTER_DATE            ,
            UPDATE_DATE           ,
            CREATE_DATE           ,
            UPDATE_TIMESTAMP      ,
            FULLUPLOAD_STATE      ,
            PROJECT_STATUS        ,
            PROJECT_NAME_HELPER   ,
            DOMAIN_ID             ,
            NEED_AMOUNT           ,
            UPLOAD_AMOUNT         ,
            USERID                ,
            DELETE_FLAG             
            )
SELECT      BO_SINGLE_PROJECT_ID ,                   
            PROJECT_NUMBER        ,                   
            PROJECT_NAME          ,                  
            LONGITUDE             ,                   
            LATITUDE              ,                   
            START_TIME            ,                          
            END_TIME              ,                          
            CHECK_TIME            ,                          
            PROJECT_HELPER        ,                  
            BO_TEMPLATE_VER_ID    ,                   
            BO_TEMPLATE_ID        ,                   
            BO_DEPT_PROJECT_ID    ,                   
            DEPT_PROJECT_NAME     ,                  
            AREA_ID               ,                   
            MAJOR_NAME            ,                  
            MAJOR_ID              ,
            ENTER_DATE            ,
            UPDATE_DATE           ,                          
            CREATE_DATE           ,                          
            UPDATE_TIMESTAMP      ,                          
            FULLUPLOAD_STATE      ,                    
            PROJECT_STATUS        ,                    
            PROJECT_NAME_HELPER   ,                                   
            DOMAIN_ID             ,
            '0'                   ,
            UPLOAD_AMOUNT         ,                  
            USERID                ,                   
            DELETE_FLAG    
FROM        BO_SINGLE_PROJECT_OLD;
DROP TABLE BO_SINGLE_PROJECT_OLD;

ALTER TABLE BO_PROJECT_SECTION RENAME TO BO_PROJECT_SECTION_OLD;
CREATE TABLE BO_PROJECT_SECTION                             
            (BO_PROJECT_SECTION_ID  VARCHAR(80),                 
             BO_SINGLE_PROJECT_ID   VARCHAR(80) ,                 
             SECTION_NAME           VARCHAR(200),                 
             SECTION_NUMBER         VARCHAR(10),                      
             CREATE_USERID          VARCHAR(40),                  
             CREATE_DATE            TEXT,                         
             DOMAIN_ID              VARCHAR(20),                      
             USERID                 VARCHAR(20), 
             SECTION_NEED_AMOUNT    VARCHAR(10),
             SECTION_UPLOAD_AMOUNT  VARCHAR(10),               
             PRIMARY KEY(BO_PROJECT_SECTION_ID,USERID));
INSERT INTO  BO_PROJECT_SECTION
            (BO_PROJECT_SECTION_ID,                 
             BO_SINGLE_PROJECT_ID ,                 
             SECTION_NAME         ,                 
             SECTION_NUMBER       ,                      
             CREATE_USERID        ,                  
             CREATE_DATE          ,                         
             DOMAIN_ID            ,                      
             USERID               , 
             SECTION_NEED_AMOUNT  ,
             SECTION_UPLOAD_AMOUNT       
            )
SELECT      BO_PROJECT_SECTION_ID,
            BO_SINGLE_PROJECT_ID,
            SECTION_NAME,
            SELECTION_NUMBER,
            CREATE_USERID,
            CREATE_DATE,
            DOMAIN_ID,
            USERID,
            '0',
            SECTION_UPLOAD_AMOUNT
FROM        BO_PROJECT_SECTION_OLD;
DROP TABLE  BO_PROJECT_SECTION_OLD;

ALTER TABLE BO_TEMPLATE_DETAIL_VER RENAME TO BO_TEMPLATE_DETAIL_VER_OLD;
CREATE TABLE BO_TEMPLATE_DETAIL_VER                         
            (BO_TEMPLATE_DETAIL_VER_ID VARCHAR2(80) PRIMARY KEY, 
             BO_TEMPLATE_ID            VARCHAR2(40),             
             BO_NAME                   VARCHAR2(100),            
             BO_PARENT_ID              VARCHAR2(80),             
             BO_TYPE                   VARCHAR2(40),             
             BO_TOTAL                  INTEGER,                 
             ORDER_POS                 INTEGER,                 
             BO_TEMPLATE_VER_ID        VARCHAR2(80),  
             IS_CHECK                  VARCHAR2(1),
             IS_XJ                     VARCHAR2(1),  
             DOMAIN_ID                 VARCHAR2(20));
INSERT INTO BO_TEMPLATE_DETAIL_VER
           (BO_TEMPLATE_DETAIL_VER_ID,
            BO_TEMPLATE_ID,
            BO_NAME,
            BO_PARENT_ID,
            BO_TYPE,
            BO_TOTAL,
            ORDER_POS,
            BO_TEMPLATE_VER_ID,
            IS_CHECK,
            IS_XJ,
            DOMAIN_ID
            ) 
SELECT      BO_TEMPLATE_DETAIL_VER_ID,
            BO_TEMPLATE_ID,
            BO_NAME,
            BO_PARENT_ID,
            BO_TYPE,
            BO_TOTAL,
            ORDER_POS,
            BO_TEMPLATE_VER_ID,
            '1',
            '1',
            DOMAIN_ID
FROM BO_TEMPLATE_DETAIL_VER_OLD;
DROP TABLE BO_TEMPLATE_DETAIL_VER_OLD;

ALTER TABLE BO_CRITICAL_POINT_VER RENAME TO BO_CRITICAL_POINT_VER_OLD;
CREATE TABLE BO_CRITICAL_POINT_VER                          
            (BO_CRITICAL_POINT_VER_ID  VARCHAR2(80) PRIMARY KEY,
             POINT_NAME                VARCHAR2(200),           
             BO_TEMPLATE_DETAIL_VER_ID VARCHAR2(80),            
             BO_TEMPLATE_VER_ID        VARCHAR2(80),            
             NEED_VALIDATE             VARCHAR2(1),             
             POINT_RULE                VARCHAR2(2000),          
             PHOTO_NAME_RULE           VARCHAR2(2000),          
             PHOTO_NAME_REGEX          VARCHAR2(200),           
             NEED_COUNT                INTEGER,
             BO_USER                   VARCHAR2(200),
             IS_CHECK                  VARCHAR2(1),
             IS_XJ                     VARCHAR2(1),         
             ORD_NUM                   INTEGER,                
             DOMAIN_ID                 VARCHAR2(20));
 INSERT INTO BO_CRITICAL_POINT_VER
            (BO_CRITICAL_POINT_VER_ID ,
             POINT_NAME               ,           
             BO_TEMPLATE_DETAIL_VER_ID,            
             BO_TEMPLATE_VER_ID       ,            
             NEED_VALIDATE            ,             
             POINT_RULE               ,          
             PHOTO_NAME_RULE          ,          
             PHOTO_NAME_REGEX         ,           
             NEED_COUNT               ,
             IS_CHECK                 ,
             IS_XJ                    ,         
             ORD_NUM                  ,                
             DOMAIN_ID                )
 SELECT      BO_CRITICAL_POINT_VER_ID ,
             POINT_NAME               ,           
             BO_TEMPLATE_DETAIL_VER_ID,            
             BO_TEMPLATE_VER_ID       ,            
             NEED_VALIDATE            ,             
             POINT_RULE               ,          
             PHOTO_NAME_RULE          ,          
             PHOTO_NAME_REGEX         ,           
             NEED_COUNT               ,
             '1'                      ,
             '1'                      ,         
             ORD_NUM                  ,                
             DOMAIN_ID                
 FROM        BO_CRITICAL_POINT_VER_OLD;
 DROP TABLE  BO_CRITICAL_POINT_VER_OLD;

ALTER TABLE BO_CONTENT ADD COLUMN CONTENT_TYPE VARCHAR2(1);
ALTER TABLE BO_CONTENT ADD COLUMN BO_CHECK_PROJECT_ID VARCHAR2(80);
ALTER TABLE BO_CONTENT ADD COLUMN BO_PROBLEM_ID VARCHAR2(80);
ALTER TABLE BO_PHOTO ADD COLUMN BO_PROBLEM_ID VARCHAR2(80);
ALTER TABLE BO_PHOTO ADD COLUMN BO_PROBLEM_REPLY_ID VARCHAR2(80);

DROP TABLE BO_FILE;

CREATE TABLE BO_COOPERATE      			          
            (BO_COOPERATE_ID            VARCHAR2(80),
             BO_SINGLE_PROJECT_ID     	VARCHAR2(80),
             PROJECT_NAME     	        VARCHAR2(80),
             CON_ORG_ID                 VARCHAR2(80),
             CON_POSITION           	VARCHAR2(500),
             CONTENT                  	VARCHAR2(2000),
             NEED_MANAGER             	VARCHAR2(10),
             CON_START_TIME             TEXT,
             CON_END_TIME               TEXT,
             YB_START_TIME              TEXT,
             YB_END_TIME                TEXT,
             RES_USERNAME               VARCHAR2(40),
             CAPTAIN                    VARCHAR2(40),
             CON_TEL                    VARCHAR2(40),
             WORK_DATE                  TEXT,
             REMARKS                    VARCHAR2(2000),
             ORG_INPLACE                VARCHAR2(10),
             ORG_PLAN_WORK              VARCHAR2(10),
             ORG_WORK_BACK              VARCHAR2(2000),
             CREATE_USER                VARCHAR2(40),
             JL_BACK_USER               VARCHAR2(40),
             STATES                     VARCHAR2(10),
             AUDIT_STATES               VARCHAR2(1),
             USERID                     VARCHAR2(20),
             DOMAIN_ID                  VARCHAR2(40),
             PRIMARY KEY(BO_COOPERATE_ID,USERID));
             
CREATE TABLE BO_PROBLEM      				  	         
             (BO_PROBLEM_ID          	VARCHAR2(80),
             BO_SINGLE_PROJECT_ID       VARCHAR2(80),
             IS_MEND_FINISH             VARCHAR2(1),
             MEND_TIME_LIMIT            TEXT,
             EXAM_BASIS      	        VARCHAR2(80),
             EXAM_BASIS_TEXT            VARCHAR2(1000),
             REMARK           	        VARCHAR2(2000),
             CREATE_USER_ID             VARCHAR2(20),
             CREATE_TIME                TEXT,
             IS_MEND                    VARCHAR2(1),
             PROBLEM_TYPE               VARCHAR2(80),
             PROBLEM_ITEM               VARCHAR2(80),
             BO_CHECK_PROJECT_ID        VARCHAR2(80),
             USERID                     VARCHAR2(20),
             TYPES                      VARCHAR2(1),
             PRIMARY KEY(BO_PROBLEM_ID,USERID));
             
CREATE TABLE BO_PROBLEM_ORG      				  	         
             (BO_PROBLEM_ORG_ID          VARCHAR2(80),
              BO_PROBLEM_ID          	 VARCHAR2(80), 
              ORG_TYPE                   VARCHAR2(80),      
              ORG_ID                     VARCHAR2(80),
              ORG_NAME                   VARCHAR2(200),
              ORG_STEER                  INTEGER,
              ORG_STEER_PAYMENT          INTEGER,                   
              ORG_CHECK                  INTEGER,    		  
              ORG_CHECK_PAYMENT          INTEGER,  	         
              IS_ORG_MOSTLY_MEND         VARCHAR2(1),
              USERID                     VARCHAR2(20),
              PRIMARY KEY(BO_PROBLEM_ORG_ID,USERID));
              
CREATE TABLE BO_PROBLEM_REPLY      				  	         
             (BO_PROBLEM_REPLY_ID        VARCHAR2(80),
              BO_PROBLEM_ID          	 VARCHAR2(80), 
              BO_PROBLEM_ORG_ID          VARCHAR2(80),      
              CREATE_TIME                VARCHAR2(80),
              UPDATE_TIME                INTEGER,
              BO_SINGLE_PROJECT_ID       VARCHAR2(80),                 
              BO_PROJECT_SECTION_ID      VARCHAR2(80),  		  
              REPLY_CONTENT              VARCHAR2(1000), 	         
              STATUS                     VARCHAR2(1),
              PROBLEM_STATE              VARCHAR2(1),
              REJECT_ONE                 VARCHAR2(1000),
              REJECT_TWO               	 VARCHAR2(1000),
              REJECT_THREE               VARCHAR2(1000),
              REJECT_COUNT             	 VARCHAR2(8),
              USERID                     VARCHAR2(20),
              PRIMARY KEY(BO_PROBLEM_REPLY_ID,USERID));