CREATE TABLE BO_DEPT_PROJECT                                
           (BO_DEPT_PROJECT_ID VARCHAR(80),                   
            PROJECT_NAME       VARCHAR(200),                  
            MAJOR_ID           VARCHAR(40),                   
            DOMAIN_ID          VARCHAR(40),                   
            USERID             VARCHAR(20),                   
            PRIMARY KEY(BO_DEPT_PROJECT_ID,USERID,MAJOR_ID));
            
CREATE TABLE BO_SINGLE_PROJECT                              
           (BO_SINGLE_PROJECT_ID VARCHAR2(80),                   
            PROJECT_NUMBER       VARCHAR2(40),                   
            PROJECT_NAME         VARCHAR2(200),                  
            LONGITUDE            VARCHAR2(20),                   
            LATITUDE             VARCHAR2(20),                   
            START_TIME           TEXT,                          
            END_TIME             TEXT,                          
            CHECK_TIME           TEXT,                          
            PROJECT_HELPER       VARCHAR2(100),                  
            BO_TEMPLATE_VER_ID   VARCHAR2(80),                   
            BO_TEMPLATE_ID       VARCHAR2(80),                   
            BO_DEPT_PROJECT_ID   VARCHAR2(80),                   
            DEPT_PROJECT_NAME    VARCHAR2(100),                  
            AREA_ID              VARCHAR2(80),                   
            MAJOR_NAME           VARCHAR2(100),                  
            MAJOR_ID             VARCHAR2(80), 
            ENTER_DATE           TEXT, 
            UPDATE_DATE          TEXT,                          
            CREATE_DATE          TEXT,                          
            UPDATE_TIMESTAMP     TEXT,                             
            FULLUPLOAD_STATE     VARCHAR2(1),                    
            PROJECT_STATUS       VARCHAR2(1),                    
            PROJECT_NAME_HELPER  VARCHAR2(100),
            DOMAIN_ID            VARCHAR2(20),
            NEED_AMOUNT          VARCHAR2(10),
            UPLOAD_AMOUNT        VARCHAR2(10),                  
            USERID               VARCHAR2(20),                   
            DELETE_FLAG          VARCHAR2(1),
            FAVORITE_STATUS 	 VARCHAR2(2),
            FAVORITE_DATE        TEXT,
            IS_CG                VARCHAR2(8),
            AREA_NAME            VARCHAR2(100),
            BROWSE_TIME          TEXT,
            SITE_TYPE            VARCHAR2(1000),
  			BAND                 VARCHAR2(510),
  			BUILD_ATTR 			 VARCHAR2(100),
  			IS_HIDE 			 VARCHAR2(10),
  			CITY_NAME 			 VARCHAR2(100),
  			IS_HOT				 VARCHAR2(10),
  			APPRAISE_TOTAL_NUM	 	VARCHAR2(10),
  			APPRAISE_ELIGIBLE_NUM	VARCHAR2(10),
  			APPRAISE_SUBMIT_STATE	VARCHAR2(10),
  			DEPT_PROJECT_CODE 	 VARCHAR2(100),
  			DESIGN_COMP_DATE	 TEXT,
            PRIMARY KEY(BO_SINGLE_PROJECT_ID,USERID));
            
 CREATE TABLE BO_PROJECT_SECTION                             
            (BO_PROJECT_SECTION_ID  VARCHAR(80),                 
             BO_SINGLE_PROJECT_ID   VARCHAR(80) ,                 
             SECTION_NAME           VARCHAR(200),                 
             SECTION_NUMBER         VARCHAR(10),                      
             CREATE_USERID          VARCHAR(40),                  
             CREATE_DATE            TEXT,                         
             DOMAIN_ID              VARCHAR(20),                      
             USERID                 VARCHAR(20), 
             SECTION_NEED_AMOUNT    VARCHAR(10),
             SECTION_UPLOAD_AMOUNT  VARCHAR(10),
             IS_DEL                 VARCHAR(10),
             PRIMARY KEY(BO_PROJECT_SECTION_ID,USERID));
             
CREATE TABLE BO_CHECK_PROJECT
            (BO_CHECK_PROJECT_ID     VARCHAR(80),
             BO_SINGLE_PROJECT_ID    VARCHAR(80),
             BO_PROJECT_SECTION_ID   VARCHAR(80),
             BO_CHECK_ID             VARCHAR(80),
             CHECK_STATE             VARCHAR(1),
             LIMIT_TIME              TEXT,
             COMPLETE_TIME           TEXT,
             UPDATE_TIME			 TEXT,
             USERID                  VARCHAR(20),
             CHECK_TYPE 			 VARCHAR(8),
             CREATE_USER_NAME		 VARCHAR2(100),
             UPDATE_TIMESTAMP 		 TEXT,
             PRIMARY KEY(BO_CHECK_PROJECT_ID,USERID));
             
CREATE TABLE BO_TEMPLATE_DETAIL_VER                         
            (BO_TEMPLATE_DETAIL_VER_ID VARCHAR2(80) PRIMARY KEY, 
             BO_TEMPLATE_ID            VARCHAR2(40),             
             BO_NAME                   VARCHAR2(100),            
             BO_PARENT_ID              VARCHAR2(80),             
             BO_TYPE                   VARCHAR2(40),             
             BO_TOTAL                  INTEGER,                 
             ORDER_POS                 INTEGER,                 
             BO_TEMPLATE_VER_ID        VARCHAR2(80),  
             IS_CHECK                  VARCHAR2(1),
             IS_XJ                     VARCHAR2(1),  
             DOMAIN_ID                 VARCHAR2(20));
             
CREATE TABLE BO_CRITICAL_POINT_VER                          
            (BO_CRITICAL_POINT_VER_ID  VARCHAR2(80) PRIMARY KEY,
             POINT_NAME                VARCHAR2(200),           
             BO_TEMPLATE_DETAIL_VER_ID VARCHAR2(80),            
             BO_TEMPLATE_VER_ID        VARCHAR2(80),            
             NEED_VALIDATE             VARCHAR2(1),             
             POINT_RULE                VARCHAR2(2000),          
             PHOTO_NAME_RULE           VARCHAR2(2000),          
             PHOTO_NAME_REGEX          VARCHAR2(200),           
             NEED_COUNT                INTEGER,
             IS_CHECK                  VARCHAR2(1),
             IS_XJ                     VARCHAR2(1),         
             ORD_NUM                   INTEGER,                
             DOMAIN_ID                 VARCHAR2(20)) ;
             
CREATE TABLE BO_CONTENT                                     
            (BO_CONTENT_ID             VARCHAR(40),           
             BO_CONTENT_NAME           VARCHAR(40),           
             BO_TEMPLATE_DETAIL_VER_ID VARCHAR(100),          
             BO_SINGLE_PROJECT_ID      VARCHAR(40),           
             BO_PROJECT_SECTION_ID     VARCHAR(100),          
             BO_TOTAL_NUM              VARCHAR(100),          
             BO_CURRENT_NUM            VARCHAR(100),          
             CREATE_DATE               TEXT,                  
             UPDATE_DATE               TEXT,                  
             DOMAIN_ID                 VARCHAR(100),          
             IS_DOWNLOAD               VARCHAR(4),            
             USERID                    VARCHAR(20), 
             CONTENT_TYPE              VARCHAR(1),
             BO_CHECK_PROJECT_ID       VARCHAR2(80),
             BO_PROBLEM_ID             VARCHAR2(80),
             OTHER_TYPE                VARCHAR2(4),
             PRIMARY KEY(BO_CONTENT_ID,USERID));
             
CREATE TABLE BO_PHOTO                                       
            (BO_PHOTO_ID               VARCHAR(80),           
             PHOTO_NAME                VARCHAR(200),          
             PHOTO_PATH                VARCHAR(100),          
             BO_CRITICAL_POINT_VER_ID  VARCHAR(80),           
             POINT_NAME                VARCHAR(400),          
             BO_SINGLE_PROJECT_ID      VARCHAR(80),           
             BO_PROJECT_SECTION_ID     VARCHAR(80),           
             BO_CONTENT_ID             VARCHAR(80),           
             FILE_PREFIX               VARCHAR(100),          
             FILE_SUFFIX               VARCHAR(100),          
             CREATE_USERID             VARCHAR(40),           
             DISCRIPTION               NUMBER,                
             MEMO                      VARCHAR(100),          
             LATITUDE                  VARCHAR(20),           
             LONGITUDE                 VARCHAR(20),           
             CREATE_DATE               TEXT       ,           
             REF_MINEIMAGE_ID          VARCHAR(80),           
             IS_FORMAL                 VARCHAR(10),           
             PHOTO_TYPE                VARCHAR(20),           
             IS_UPLOAD                 VARCHAR(20),           
             IMAGE_QUALITY             VARCHAR(20),           
             SERIALIZE_NUM             VARCHAR(20),           
             PHOTO_SIZE                VARCHAR(20),           
             IS_DOODLED                VARCHAR(1),            
             DOMAIN_ID                 VARCHAR(20),           
             IS_DOWNLOAD               VARCHAR(20),           
             DOWNLOAD_URL              VARCHAR(200),          
             USERID                    VARCHAR(20),
             BO_PROBLEM_ID             VARCHAR2(80),
             BO_PROBLEM_REPLY_ID       VARCHAR2(80),
             BO_SUPERVISION_LOG_ID     VARCHAR2(80),
             BO_COOPERATE_ID           VARCHAR2(80),
             BO_SIGN_ID                VARCHAR2(200),
             USAGE_COUNT			   VARCHAR2(20),
             OVER_DISTANCE             VARCHAR2(10),
             INSPECT_POINT_ID          VARCHAR2(200),
             APP_VERSION			   VARCHAR2(100),
             PHONE_UUID			 	   VARCHAR2(1000),
             FOLLOW_DATE               TEXT,
             UPLOAD_FAILURE 		   VARCHAR(20),
             BO_PROJECT_APPRAISE_ID	   VARCHAR2(100),
             BO_DESIGN_SURVEY_ID	   VARCHAR2(100),
             PRIMARY KEY(BO_PHOTO_ID,USERID));
             
CREATE TABLE BO_TEMPLATE_EXCLUDE                            
            (BO_TEMPLATE_EXCLUDE_ID     VARCHAR(80),          
             BO_SINGLE_PROJECT_ID       VARCHAR(80),          
             BO_TEMPLATE_DETAIL_VER_ID  VARCHAR(80),          
             USERID                     VARCHAR(80),          
             PRIMARY KEY(BO_TEMPLATE_EXCLUDE_ID,USERID));
             
CREATE TABLE BO_COOPERATE      			          
            (BO_COOPERATE_ID            VARCHAR2(80),
             BO_SINGLE_PROJECT_ID     	VARCHAR2(80),
             PROJECT_NAME     	        VARCHAR2(80),
             CON_ORG_ID         	    VARCHAR2(80),
             CON_POSITION           	VARCHAR2(500),
             CONTENT                  	VARCHAR2(2000),
             NEED_MANAGER             	VARCHAR2(10),
             CON_START_TIME       	    TEXT,
             CON_END_TIME       	    TEXT,
             YB_START_TIME              TEXT,
             YB_END_TIME                TEXT,
             RES_USERNAME               VARCHAR2(40),
             CAPTAIN         		    VARCHAR2(40),
             CON_TEL         		    VARCHAR2(40),
             WORK_DATE         		    TEXT,
             REMARKS         		    VARCHAR2(2000),
             ORG_INPLACE         	    VARCHAR2(10),
             ORG_PLAN_WORK              VARCHAR2(10),
             ORG_WORK_BACK            	VARCHAR2(2000),
             CREATE_USER                VARCHAR2(40),
             JL_BACK_USER            	VARCHAR2(40),
             STATES                     VARCHAR2(10),
             AUDIT_STATES               VARCHAR2(1),
             USERID                     VARCHAR2(20),
             AREA_NAME                  VARCHAR2(40),
             CON_UPDATE_DATE            TEXT,
             DOMAIN_ID         		    VARCHAR2(40),
             JL_ORG_ID                  VARCHAR2(500),
             JL_NAME                    VARCHAR2(500),
             NEG_RESON                  VARCHAR2(2000),
             ACTUAL_JL_ORG              VARCHAR2(100),
             ACTUAL_JL_ORG_NAME         VARCHAR2(100),
             JL_USER_ID              	VARCHAR2(1000),
             JL_USER_NAME               VARCHAR2(1000),
             JL_BACK_USER_NAME          VARCHAR2(100),
             CONTENT_COUNT              VARCHAR2(10),
             UPDATE_TIMESTAMP			TEXT,
             TIMESTAMP_ORDER            TEXT,
             REF_PHOTO_ID				VARCHAR2(80),
             PRIMARY KEY(BO_SINGLE_PROJECT_ID,WORK_DATE,USERID));
             
CREATE TABLE BO_PROBLEM      				  	         
             (BO_PROBLEM_ID          	VARCHAR2(80),
             BO_SINGLE_PROJECT_ID       VARCHAR2(80),
             IS_MEND_FINISH             VARCHAR2(1),
             MEND_TIME_LIMIT            TEXT,
             EXAM_BASIS      		    VARCHAR2(80),
             EXAM_BASIS_TEXT            VARCHAR2(1000),
             REMARK           		    VARCHAR2(2000),
             CREATE_USER_ID             VARCHAR2(20),
             CREATE_TIME                TEXT,
             IS_MEND                    VARCHAR2(1),
             PROBLEM_TYPE               VARCHAR2(80),
             PROBLEM_ITEM               VARCHAR2(80),
             BO_CHECK_PROJECT_ID        VARCHAR2(80),
             IS_DRAFT                   VARCHAR2(8),
             USERID                     VARCHAR2(20),
             TYPES                      VARCHAR2(1),
             PAPER_CHECK_NUM            INTEGER,
             PAPER_PRM_NUM              INTEGER,
             PROJECT_NAME               VARCHAR2(200),
             MAJOR_NAME                 VARCHAR2(100),
             CHECK_ENTITY				VARCHAR2(80),
             PRIMARY KEY(BO_PROBLEM_ID,USERID));
             
CREATE TABLE BO_PROBLEM_ORG      				  	         
             (BO_PROBLEM_ORG_ID          VARCHAR2(80),
              BO_PROBLEM_ID          	 VARCHAR2(80), 
              ORG_TYPE                   VARCHAR2(80),
              ORG_ID                     VARCHAR2(80),
              ORG_NAME                   VARCHAR2(200),
              ORG_STEER                  INTEGER,
              ORG_STEER_PAYMENT          INTEGER,                   
              ORG_CHECK                  INTEGER,    		  
              ORG_CHECK_PAYMENT          INTEGER,  	         
              IS_ORG_MOSTLY_MEND         VARCHAR2(1),
              USERID                     VARCHAR2(20),
              PRIMARY KEY(BO_PROBLEM_ORG_ID,USERID));
              
CREATE TABLE BO_PROBLEM_REPLY      				  	         
             (BO_PROBLEM_REPLY_ID        VARCHAR2(80),
              BO_PROBLEM_ID          	 VARCHAR2(80), 
              BO_PROBLEM_ORG_ID          VARCHAR2(80),      
              CREATE_TIME                VARCHAR2(80),
              UPDATE_TIME                INTEGER,
              BO_SINGLE_PROJECT_ID       VARCHAR2(80),                 
              BO_PROJECT_SECTION_ID      VARCHAR2(80),  		  
              REPLY_CONTENT              VARCHAR2(1000), 	         
              STATUS                     VARCHAR2(1),
              PROBLEM_STATE              VARCHAR2(1),
              REJECT_ONE                 VARCHAR2(1000),
              REJECT_TWO               	 VARCHAR2(1000),
              REJECT_THREE               VARCHAR2(1000),
              REJECT_COUNT             	 VARCHAR2(8),
              USERID                     VARCHAR2(20),
              START_TIME				 TEXT,
              LIMIT_TIME				 TEXT,
              CREATE_USER_NAME		 	 VARCHAR2(100),
              PRIMARY KEY(BO_PROBLEM_REPLY_ID,USERID));

CREATE TABLE BO_FILE
             (BO_DOC_BODY_ID              VARCHAR(80),           
              BO_CRITICAL_POINT_VER_ID    VARCHAR(80),
              PHOTO_PATH                  VARCHAR(100),
              USERID                      VARCHAR(20),
              PRIMARY KEY(BO_DOC_BODY_ID,USERID));
CREATE TABLE BO_PROJ_ORG
             (BO_PROJ_ORG_ID              VARCHAR(200),
              BO_SINGLE_PROJECT_ID        VARCHAR(200),           
              ORG_ID    				  VARCHAR(200),
              ORG_NAME                    VARCHAR(500),
              ORG_TYPE                    VARCHAR(200),
              UNIT_FLAG                   VARCHAR(8),
              UPDATE_TIMESTAMP            TEXT,
              USERID                      VARCHAR(20),
              PRIMARY KEY(BO_PROJ_ORG_ID,USERID));
CREATE TABLE BO_STATION
             (BO_STATION_ID              VARCHAR(200),
              STATION_NAME               VARCHAR(500),           
              MAJOR_NAME    			 VARCHAR(200),
              BELONG_TYPE                VARCHAR(200),
              BELONG_CITY                VARCHAR(200),
              BELONG_AREA                VARCHAR(200),
              LONGITUDE                  VARCHAR(20),
              LATITUDE                   VARCHAR(20),
              STATION_ADDR               VARCHAR(1000),
              REMARK                     VARCHAR(1000),
              DELETE_FLAG                VARCHAR(10),
              UPDATE_DATE				 TEXT,
			  CREATE_DATE				 TEXT,
			  UPDATE_TIMESTAMP			 TEXT,
			  STATE                   	 VARCHAR(8),
			  FAVORITE_STATUS 	 		 VARCHAR2(2),
              FAVORITE_DATE              TEXT,
              BROWSE_TIME         		 TEXT,
              USERID                     VARCHAR(20),
              PRIMARY KEY(BO_STATION_ID,USERID));
CREATE TABLE BO_SIGN
             (BO_SIGN_ID                 VARCHAR(200),
              SIGN_ENTITY_ID             VARCHAR(500),           
              SIGN_USER_NAME    		 VARCHAR(100),
              SIGN_USER_ID    			 VARCHAR(100),
              SIGN_TIME                  TEXT,
              SIGN_TYPE                  VARCHAR(20),
              LONGITUDE                  VARCHAR(20),
              LATITUDE                   VARCHAR(20),
              REMARK                     VARCHAR(2000),
              SIGN_SCENE                 VARCHAR(2000),
              STATE                   	 VARCHAR(8),
              UPDATE_TIMESTAMP			 TEXT,
              USERID                     VARCHAR(20),
              PRIMARY KEY(BO_SIGN_ID,USERID));
CREATE TABLE BO_SINGLE_EXTEND
             (BO_SINGLE_EXTEND_ID        VARCHAR(500),
              BO_SINGLE_PROJECT_ID       VARCHAR(500),           
              BO_PROJECT_SECTION_ID      VARCHAR(500),
              DEPTH             		 INTEGER,
              WIDTH             		 INTEGER,
              USERID                     VARCHAR(20),
              PRIMARY KEY(BO_SINGLE_EXTEND_ID,USERID));
CREATE TABLE BO_PHOTO_EXTEND
             (BO_SINGLE_PROJECT_ID        VARCHAR(200),
              BO_PHOTO_ID                 VARCHAR(80),
              FOLLOW_DATE                 TEXT,
              USERID                      VARCHAR(20),
              PRIMARY KEY(BO_SINGLE_PROJECT_ID,BO_PHOTO_ID,USERID));
CREATE TABLE BO_SIGN_PLAN
			 (BO_SIGN_PLAN_ID 	  VARCHAR2(200),
			  TITLE  			  VARCHAR2(500),
			  CHECK_ENTITY_ID  	  VARCHAR2(500),
			  CHECK_ENTITY  	  VARCHAR2(500),
			  CHECK_START_TIME 	  TEXT,
			  CHECK_END_TIME 	  TEXT,
			  CREATE_PERSON 	  VARCHAR2(200),
			  CHECK_PERSON_ORG 	  VARCHAR2(200),
			  CHECK_CONTENT 	  VARCHAR2(2000),
			  PROBLEM_CONTENT 	  VARCHAR2(2000),
			  DEAL_SUGGESTION 	  VARCHAR2(2000),
			  REPLY_PERSON 	  VARCHAR2(200),
			  REPLY_PERSON_ORG   VARCHAR2(200),
			  DEAL_RESULT 		  VARCHAR2(2000),
			  PROBLEM_NUM         VARCHAR2(20),
			  STATE  			  VARCHAR2(20),
			  UPDATE_TIMESTAMP    TEXT,
			  NODE_2     		  VARCHAR2(200),
			  NODE_2_FULLNAME     VARCHAR2(200),
			  NODE_3              VARCHAR2(200),
			  NODE_3_FULLNAME     VARCHAR2(200),
			  DELETE_FLAG         VARCHAR2(20),
			  PROBLEM_TYPE        VARCHAR2(200),
			  USERID              VARCHAR(20),
			  MEND_TIME_LIMIT 	  TEXT,
			  PRIMARY KEY(BO_SIGN_PLAN_ID,USERID));
CREATE TABLE BO_SIGN_PLAN_REF
			 (BO_SIGN_PLAN_REF_ID VARCHAR2(200),
			  BO_STATION_ID 	  VARCHAR2(200),
			  BO_SIGN_ID  		  VARCHAR2(200),
			  BO_SIGN_PLAN_ID  	  VARCHAR2(200),
			  BO_SINGLE_PROJECT_ID 	VARCHAR2(200),
			  USERID              VARCHAR(20),
			  PRIMARY KEY(BO_SIGN_PLAN_REF_ID,USERID));
CREATE TABLE BO_INSPECTION_TPL
			 (BO_INSPECTION_TPL_ID VARCHAR2(80) PRIMARY KEY,
			  INSPECTION_CONTENT   VARCHAR2(500),
			  INSPECTION_CONTENT_ITEM VARCHAR2(500),
			  CONTENT_DESCRIPTION  VARCHAR2(1000),
			  SCORE_STANDARD       VARCHAR2(1000),
			  INITIALSCORE          VARCHAR2(80),
			  BO_TYPE              VARCHAR2(40),
			  PARENT_ID              VARCHAR2(80),
			  ORDER_POS            INTEGER);
CREATE TABLE BO_INSPECTION_TPL_GY
			 (BO_INSPECTION_TPL_GY_ID VARCHAR2(80) PRIMARY KEY,
			  INSPECTION_CONTENT      VARCHAR2(500),
			  INSPECTION_CONTENT_ITEM VARCHAR2(500),
			  CONTENT_DESCRIPTION     VARCHAR2(1000),
			  BO_TYPE                 VARCHAR2(40),
			  ORDER_POS               INTEGER);
CREATE TABLE BO_INSPECT
			(BO_INSPECT_ID            VARCHAR2(200),
			 PROJECT_NAME 			  VARCHAR2(500),
			 PROJECT_NUMBER 		  VARCHAR2(200),
			 BO_SINGLE_PROJECT_ID  	  VARCHAR2(200),
			 LONGITUDE 				  VARCHAR2(20),
			 LATITUDE 				  VARCHAR2(20),
			 CON_POSITION 			  VARCHAR2(500),
			 SG_NAME 				  VARCHAR2(500),
			 SG_ORG_ID 				  VARCHAR2(200),
			 SG_MANAGER				  VARCHAR2(200),
			 SG_SMSSN				  VARCHAR2(200),
			 JL_NAME 				  VARCHAR2(500),
			 JL_ORG_ID 				  VARCHAR2(200),
			 JL_MANAGER				  VARCHAR2(200),
			 JL_SMSSN				  VARCHAR2(200),
			 SJ_NAME 				  VARCHAR2(500),
			 SJ_ORG_ID 				  VARCHAR2(200),
			 SJ_MANAGER				  VARCHAR2(200),
			 SJ_SMSSN				  VARCHAR2(200),
			 MAJOR_NAME 			  VARCHAR2(200),
			 MAJOR_ID 				  VARCHAR2(200),
			 AREA_NAME 				  VARCHAR2(200),
			 CITY_NAME 				  VARCHAR2(200),
			 CREATE_DATE 			  TEXT,
			 UPDATE_DATE 			  TEXT,
			 UPDATE_TIMESTAMP 	      TEXT,
			 DEAL_PERSON_NAME 		  VARCHAR2(100),
			 STATE 					  VARCHAR2(10),
			 DELETE_FLAG              VARCHAR2(20),
			 PROJECT_MANAGER		  VARCHAR2(200),
			 USERID              	  VARCHAR2(20),
			 PRIMARY KEY(BO_INSPECT_ID,USERID));
CREATE TABLE BO_INSPECT_POINT
			(BO_INSPECT_POINT_ID VARCHAR2(200),
			 BO_INSPECT_ID       VARCHAR2(200),
			 POINT_ID       	 VARCHAR2(200),
			 FINALSCORE          VARCHAR2(20),
			 BO_TYPE             VARCHAR2(40),
			 USERID              VARCHAR2(20),
			 PRIMARY KEY(BO_INSPECT_POINT_ID,USERID));
CREATE TABLE BO_INSPECT_POINT_ITEM
			(BO_INSPECT_POINT_ITEM_ID VARCHAR2(200),
			 BO_INSPECT_ID       VARCHAR2(200),
			 POINT_ID       	 VARCHAR2(200),
			 PARENT_ID           VARCHAR2(200),
			 REMARK         	 VARCHAR2(2000),
			 USERID              VARCHAR2(20),
			 PRIMARY KEY(BO_INSPECT_POINT_ITEM_ID,USERID));
CREATE TABLE BO_INSPECT_GY_POINT
			(BO_INSPECT_GY_POINT_ID VARCHAR2(200),
			 BO_INSPECT_ID          VARCHAR2(200),
			 POINT_ID       		VARCHAR2(200),
			 CHECK_RESULT           VARCHAR2(10),
			 REMARK         		VARCHAR2(2000),
			 USERID              	VARCHAR2(20),
			 PRIMARY KEY(BO_INSPECT_GY_POINT_ID,USERID));
CREATE TABLE BO_FREEFLOW_TASK
             (TASK_ID         			  VARCHAR2(200),
              APPLYTITLE                  VARCHAR2(200),
              APPLYID                     VARCHAR2(200),
              CREATE_USER    			  VARCHAR2(200),
              CREATETIME    			  TEXT,
              COMPLETETIME    			  TEXT,
              TASK_STATE        		  VARCHAR2(20),
              DEFID                       VARCHAR2(20),
              USERID              		  VARCHAR2(20),
              PRIMARY KEY(TASK_ID,USERID));
CREATE TABLE BO_INSPECT_PROBLEM
			 (BO_PROBLEM_ID        VARCHAR2(200),
			  BO_SINGLE_PROJECT_ID VARCHAR2(200),
			  PROJECT_NAME         VARCHAR2(500),
			  PROJECT_NUMBER       VARCHAR2(500),
			  REMARK               VARCHAR2(2000),
			  BO_INSPECT_ID        VARCHAR2(200),
			  BO_INSPECT_POINT_ID  VARCHAR2(200),
			  CREATE_USER_ID       VARCHAR2(80),
			  CREATE_TIME          DATE,
			  FINISH_TIME          DATE,
			  STATE                VARCHAR2(100),
			  USERID               VARCHAR2(20),
			  PRIMARY KEY(BO_PROBLEM_ID,USERID));
CREATE TABLE BO_DICT
			 (BO_DICT_ID		   VARCHAR2(200) PRIMARY KEY,
			  BO_DICT_NAME   	   VARCHAR2(2000),
			  BO_DICT_TYPE         VARCHAR2(100),
			  BO_DICT_VAL     	   VARCHAR2(2000),
			  DOMAIN_ID            VARCHAR2(20),
			  EXTEND1 			   VARCHAR2(2000));
CREATE TABLE BO_NOTE                        
           (BO_NOTE_ID 		   VARCHAR(80),                   
            DEFID      		   VARCHAR(200),                  
            NOTE_CONTENT       VARCHAR(200),                   
            UPDATE_TIMESTAMP   TEXT,                 
            PRIMARY KEY(BO_NOTE_ID));
CREATE TABLE BO_MATERIEL_CALL_SLIP(
       BO_MATERIEL_CALL_SLIP_ID VARCHAR2(200),
       BO_SINGLE_PROJECT_ID     VARCHAR2(200),
       MATERIEL_NAME            VARCHAR2(1000),
       MATERIEL_TYPE            VARCHAR2(1000),
       MATERIEL_CODE            VARCHAR2(200),
       MATERIEL_QUANTITY        VARCHAR2(100),
       USERID					VARCHAR2(20),
       PRIMARY KEY(BO_MATERIEL_CALL_SLIP_ID,USERID));
CREATE TABLE BO_PROJECT_MATERIEL(
      BO_PROJECT_MATERIEL_ID   VARCHAR2(200),
      BO_SINGLE_PROJECT_ID     VARCHAR2(200),
      MATERIEL_CODE      	   VARCHAR2(200),
      MATERIEL_CODE_SERIAL     VARCHAR2(200),
      CREATE_DATE              DATE,
      CREATE_USER              VARCHAR2(50), 
      STATE                    VARCHAR2(10),
      REF_PHOTO_ID             VARCHAR2(200),
      USERID                   VARCHAR2(20),
      PRIMARY KEY(BO_PROJECT_MATERIEL_ID,USERID));
CREATE TABLE BO_QUESTION_WAREHOUSE(
       BO_QUESTION_WAREHOUSE_ID      VARCHAR2(200),
       TITLE                         VARCHAR2(1000),
       ANSWER                        VARCHAR2(100),
       TYPE                          VARCHAR2(10),
       VERSION_CODE                  VARCHAR2(20),
       EXAM_SUBJECT                  VARCHAR2(50),
       DELETE_FLAG                   VARCHAR2(10),
       PRIMARY KEY (BO_QUESTION_WAREHOUSE_ID)
);
CREATE TABLE BO_ANSWER_WAREHOUSE(
       BO_ANSWER_WAREHOUSE_ID        VARCHAR2(200),
       BO_QUESTION_WAREHOUSE_ID      VARCHAR2(200),
       OPTION_ID                     VARCHAR2(200),
       OPTION_VALUE                  VARCHAR2(500),
       OPTION_TYPE                   VARCHAR2(10),
       PRIMARY KEY (BO_ANSWER_WAREHOUSE_ID)
);
CREATE TABLE BO_SWITCH(
       BO_SWITCH_ID               VARCHAR2(200),
       BO_SWITCH_NAME             VARCHAR2(200),
       STATE                      VARCHAR2(10),
       PRIMARY KEY (BO_SWITCH_ID)
);
CREATE TABLE BO_ATTR_MAPPING_TPL(
      	BO_ATTR_MAPPING_TPL_ID    VARCHAR2(200),
  		PROJECT_ATTR              VARCHAR2(200),
  		TPL_NAME                  VARCHAR2(500),
  		BO_TEMPLATE_DETAIL_VER_ID VARCHAR2(500),
  		BO_CRITICAL_POINT_VER_ID  VARCHAR2(500),
  		BO_TEMPLATE_VER_ID        VARCHAR2(40),
  		CREATE_DATE               TEXT,
  		CREATE_USER               VARCHAR2(500),
       PRIMARY KEY (BO_ATTR_MAPPING_TPL_ID)
);
CREATE TABLE BO_PROJECT_SCHEDULE_SCALE(
      	BO_PROJECT_SCHEDULE_SCALE_ID   	VARCHAR2(100),
  		PROJECT_ID          			VARCHAR2(100),
  		PROJECT_NAME        			VARCHAR2(255),
  		BF_LENGTH 						INTEGER,
  		BUILD_GL_KM 					INTEGER,
  		OPTICAL_SWITCH_QUANTITY 		INTEGER,
  		COMP_GC_KM  					INTEGER,
  		GUANDAO_KM         				INTEGER, 
  		PTN_DEVICE_NUM             		INTEGER,
  		SDH_DEVICE_NUM        			INTEGER,
  		MICROWAVE_DEVICE_NUM          	INTEGER,
  		OTN_DEVICE_NUM       			INTEGER,
  		PT_DEVICE_NUM					INTEGER,
  		ODF_DEVICE_NUM					INTEGER,
  		CABINET_DEVICE_NUM        		INTEGER, 
  		OTHER_DEVICE_NUM            	INTEGER,
  		PTN_DEVICE_NUM_UTILIZE      	INTEGER,
  		SDH_DEVICE_NUM_UTILIZE        	INTEGER, 
  		MICROWAVE_DEVICE_NUM_UTILIZE   	INTEGER,
  		OTN_DEVICE_NUM_UTILIZE          INTEGER,
  		PT_DEVICE_NUM_UTILIZE        	INTEGER,
  		ODF_DEVICE_NUM_UTILIZE 			INTEGER,
  		CABINET_DEVICE_NUM_UTILIZE  	INTEGER,
  		OTHER_DEVICE_NUM_UTILIZE        INTEGER, 
  		END_INFO_POINT             		INTEGER,
  		END_THIS_PORT        			INTEGER,
  		END_ZQZX          				INTEGER,
  		END_ZQ_GROUP_NUMBER       		INTEGER,
  		END_BBU_NUM						INTEGER,
  		END_RRU_NUM						INTEGER,
  		END_PBRIDGE_NUM        			INTEGER, 
  		END_BBU_NUM_2G            		INTEGER,
  		END_RRU_NUM_2G      			INTEGER,
  		END_BBU_NUM_LTE        			INTEGER,
  		END_RRU_NUM_LTE   				INTEGER,
  		END_BATTERIES_NUM            	INTEGER,
  		END_AIR_NUM      				INTEGER,
  		END_AC_DISTRIBU_NUM        		INTEGER,
  		END_SWITCH_POWER_NUM   			INTEGER,
  		VER_CODE          				INTEGER,
  		SG_USER_ID 						VARCHAR2(40),
  		JL_USER_ID 						VARCHAR2(40),
  		STATES        					VARCHAR2(10),
  		CREATE_USERID 					VARCHAR2(40),
  		CREATE_DATE  					TEXT,
  		UPDATE_USERID 					VARCHAR2(40),
  		UPDATE_DATE  					TEXT,
  		UPDATE_TIMESTAMP            	TEXT,
  		USERID      					VARCHAR2(100),
       PRIMARY KEY (BO_PROJECT_SCHEDULE_SCALE_ID,USERID)
);
CREATE TABLE BO_EVALUATE_ENTITY(
      	BO_EVALUATE_ENTITY_ID     	VARCHAR2(100),
  		EVALUATE_PROJECT_ID 		VARCHAR2(100),
  		EVALUATE_PROJECT_NAME 		VARCHAR2(255),
  		EVALUATE_PROJECT_CODE 		VARCHAR2(100),
  		COOPERATE_DEPT_ID  			VARCHAR2(100),
  		COOPERATE_DEPT_NAME         VARCHAR2(100),
  		APPLICABLE_TYPE             VARCHAR2(100),
  		APPLICABLE_TYPE_NAME        VARCHAR2(100),
  		EVALUATE_PHASE          	VARCHAR2(100),
  		EVALUATE_PHASE_NAME       	VARCHAR2(255),
  		EVALUATE_ITEM				VARCHAR2(100),
  		EVALUATE_ITEM_NAME			VARCHAR2(100),
  		REDUCE_SCORE        		VARCHAR2(20),
  		REMARK            			VARCHAR2(2000),
  		BO_SIGN_PLAN_ID      		VARCHAR2(100),
  		BO_SIGN_ID      			VARCHAR2(100),
  		STATES        				VARCHAR2(2),
  		UPDATE_TIMESTAMP            TEXT,
  		USERID      				VARCHAR2(100),
       PRIMARY KEY (BO_EVALUATE_ENTITY_ID,USERID)
);
CREATE TABLE BO_EVALUATE_TEMPLATE(
      	BO_EVALUATE_TEMPLATE_ID    	VARCHAR2(100),
      	TEMPLATE_NAME				VARCHAR2(100),
  		APPLICABLE_TYPE             VARCHAR2(10),
  		APPLICABLE_TYPE_NAME        VARCHAR2(500),
  		EVALUATE_PHASE 				VARCHAR2(100),
  		EVALUATE_PHASE_NAME  		VARCHAR2(100),
       PRIMARY KEY (BO_EVALUATE_TEMPLATE_ID)
);
CREATE TABLE BO_EVALUATE_ITEM_R(
      	BO_EVALUATE_ITEM_R_ID    		VARCHAR2(100),
  		EVALUATE_ITEM              		VARCHAR2(200),
  		EVALUATE_ITEM_NAME          	VARCHAR2(2000),
  		EVALUATE_ITEM_STANDARD 			VARCHAR2(2000),
  		ITEM_CLASSIFY_NAME  			VARCHAR2(100),
  		SCORE        					VARCHAR2(100),
  		ORDER_NUM               		VARCHAR2(10),
  		PD_PRM_EVALUATE_TEMPLATE_ID     VARCHAR2(100),
  		PD_PRM_EVALUATE_ITEM_ID         VARCHAR2(100),
       PRIMARY KEY (BO_EVALUATE_ITEM_R_ID)
);
CREATE TABLE BO_MAJOR_APPRAISE(
      	BO_MAJOR_APPRAISE_ID    		VARCHAR2(100),
  		MAJOR_ID              			VARCHAR2(80),
  		BO_APPRAISE_CONTENT_ID          VARCHAR2(200),
       PRIMARY KEY (BO_MAJOR_APPRAISE_ID)
);
CREATE TABLE BO_APPRAISE_CONTENT(
      	BO_APPRAISE_CONTENT_ID    		VARCHAR2(100),
  		APPRAISE_CONTENT              	VARCHAR2(200),
  		CONTENT_NAME_SHORT				VARCHAR2(20),
  		IS_EXPIRED          			VARCHAR2(10),
  		ORD_NUM          				INTEGER,
       PRIMARY KEY (BO_APPRAISE_CONTENT_ID)
);
CREATE TABLE BO_APPRAISE_TEMPLATE(
      	BO_APPRAISE_TEMPLATE_ID    		VARCHAR2(100),
  		BO_APPRAISE_CONTENT_ID          VARCHAR2(200),
  		APPRAISE_CLASS          		VARCHAR2(200),
  		APPRAISE_ITEM 					VARCHAR2(1000),
  		IS_EXPIRED  					VARCHAR2(10),
  		ORD_NUM        					INTEGER,
       PRIMARY KEY (BO_APPRAISE_TEMPLATE_ID)
);
CREATE TABLE BO_PROJECT_APPRAISE(
      	BO_PROJECT_APPRAISE_ID    		VARCHAR2(100),
  		BO_APPRAISE_RESULT_ID           VARCHAR2(100),
  		BO_APPRAISE_TEMPLATE_ID         VARCHAR2(100),
  		BO_APPRAISE_CONTENT_ID			VARCHAR2(100),
  		APPRAISE_ITEM 					VARCHAR2(1000),
  		APPRAISE_REMARK 				VARCHAR2(1000),
  		IS_ELIGIBLE  					TEXT,
  		USERID      					VARCHAR2(100),
       PRIMARY KEY (BO_PROJECT_APPRAISE_ID,USERID)
);
CREATE TABLE BO_APPRAISE_RESULT(
      	BO_APPRAISE_RESULT_ID    		VARCHAR2(100),
  		BO_SINGLE_PROJECT_ID            VARCHAR2(80),
  		TOTAL_NUM         				INTEGER,
  		ELIGIBLE_NUM 					INTEGER,
  		APPRAISE_CONTENT_ID				VARCHAR2(500),
  		APPRAISE_CONTENT				VARCHAR2(500),
  		SUBMIT_STATE  					VARCHAR2(10),
  		CREATE_DATE        				TEXT,
  		CREATE_USERID               	VARCHAR2(20),
  		UPDATE_DATE     				TEXT,
  		UPDATE_USERID         			VARCHAR2(20),
  		UPDATE_TIMESTAMP         		TEXT,
  		USERID      					VARCHAR2(100),
       PRIMARY KEY (BO_APPRAISE_RESULT_ID,USERID)
);
CREATE TABLE BO_DESIGN_SURVEY(
      	BO_DESIGN_SURVEY_ID     	VARCHAR2(100),
  		BO_SINGLE_PROJECT_ID 		VARCHAR2(80),
  		PROJECT_NAME 				VARCHAR2(500),
  		DEPT_PROJECT_ID 			VARCHAR2(100),
  		DEPT_PROJECT_NAME  			VARCHAR2(500),
  		DEPT_PROJECT_CODE         	VARCHAR2(100),
  		DESIGN_LONGITUDE            VARCHAR2(20),
  		DESIGN_LATITUDE        		VARCHAR2(20),
  		ACCEPTANCE_LONGITUDE        VARCHAR2(20),
  		ACCEPTANCE_LATITUDE       	VARCHAR2(20),
  		DESIGN_LONGITUDE_APORT      VARCHAR2(20),
  		DESIGN_LATITUDE_APORT       VARCHAR2(20),
  		ACCEPTANCE_LONGITUDE_APORT  VARCHAR2(20),
  		ACCEPTANCE_LATITUDE_APORT   VARCHAR2(20),
  		DESIGN_LONGITUDE_ZPORT      VARCHAR2(20),
  		DESIGN_LATITUDE_ZPORT       VARCHAR2(20),
  		ACCEPTANCE_LONGITUDE_ZPORT  VARCHAR2(20),
  		ACCEPTANCE_LATITUDE_ZPORT   VARCHAR2(20),
  		SURVEY_CONDITION			VARCHAR2(2000),
  		ACCEPTANCE_REMARK			VARCHAR2(2000),
  		ACCEPTANCE_PROBLEM_FLAG     VARCHAR2(2),
  		ACCEPTANCE_PROBLEM          VARCHAR2(2000),
  		SIGN_STATE      		    VARCHAR2(2),
  		CREATE_DATE        			TEXT,
  		CREATE_USERID               VARCHAR2(20),
  		UPDATE_DATE     			TEXT,
  		UPDATE_USERID         		VARCHAR2(20),
  		UPDATE_TIMESTAMP         	TEXT,
  		USERID      				VARCHAR2(100),
  		BO_PROJECT_SECTION_ID      	VARCHAR2(100),
       PRIMARY KEY (BO_DESIGN_SURVEY_ID,USERID)
);
CREATE TABLE BO_CONSTRUCTION_SIGN(
      	BO_CONSTRUCTION_SIGN_ID     VARCHAR2(80),
  		BO_SINGLE_PROJECT_ID 		VARCHAR2(80),
  		PROJECT_NUMBER 				VARCHAR2(40),
  		PROJECT_NAME 				VARCHAR2(500),
  		DOMAIN_ID  					VARCHAR2(80),
  		CITY_NAME  					VARCHAR2(100),
  		MAJOR_ID         			VARCHAR2(80),
  		MAJOR_NAME            		VARCHAR2(100),
  		SIGN_LONGITUDE        		VARCHAR2(20),
  		SIGN_LATITUDE       		VARCHAR2(20),
  		SIGN_USER          			VARCHAR2(2000),
  		REF_PHOTO_ID				VARCHAR2(80),
  		BO_COOPERATE_ID             VARCHAR2(100),
  		OVER_DISTANCE               VARCHAR2(10),
  		PHONE_UUID					VARCHAR2(500),
  		SIGN_DATE					TEXT,
  		SUBMIT_STATE      		    VARCHAR2(2),
  		CREATE_USERID               VARCHAR2(20),
  		CREATE_DATE        			TEXT,
  		UPDATE_USERID         		VARCHAR2(20),
  		UPDATE_DATE     			TEXT,
  		UPDATE_TIMESTAMP         	TEXT,
  		USERID      				VARCHAR2(100),
       PRIMARY KEY (BO_CONSTRUCTION_SIGN_ID,USERID)
);
CREATE TABLE BO_LOGDATA(
      BO_LOGDATA_ID   		VARCHAR2(200),
      LOGNODE     			VARCHAR2(500),
      LOGDATE      	  		TEXT,
      LOGUSERID     		VARCHAR2(200),
      LOGCONTENT            VARCHAR2(4000),
      IS_UPLOAD				VARCHAR2(10),
      USERID                VARCHAR2(20),
      PRIMARY KEY(BO_LOGDATA_ID,USERID));
CREATE TABLE BO_END_REPORT(
      	BO_END_REPORT_ID   				VARCHAR2(100),
  		BO_SINGLE_PROJECT_ID          	VARCHAR2(100),
  		PROJECT_NAME        			VARCHAR2(255),
  		PROJECT_NUMBER 					VARCHAR2(40),
  		DEPT_PROJECT_NAME  				VARCHAR2(500),
  		DEPT_PROJECT_CODE         		VARCHAR2(100),
  		TITLE 							VARCHAR2(2000),
  		ACTUAL_START_DATE 				TEXT,
  		ACTUAL_END_DATE 				TEXT,
  		COMP_CONTENT 					VARCHAR2(4000),
  		ADVANCE_DELAY_REASON			VARCHAR2(4000),
  		WORKFLOW_STATE 					VARCHAR2(20),
  		INSTANCE_ID						VARCHAR2(80),
  		SCENE_END_BBU_NUM 				INTEGER,
  		SCENE_END_RRU_NUM  				INTEGER,
  		SCENE_END_PBRIDGE_NUM         	INTEGER, 
  		SCENE_END_BBU_NUM_2G            INTEGER,
  		SCENE_END_RRU_NUM_2G        	INTEGER,
  		SCENE_END_BBU_NUM_LTE          	INTEGER,
  		SCENE_END_RRU_NUM_LTE          	INTEGER,
  		DESIGN_BBU_NUM 					INTEGER,
  		DESIGN_RRU_NUM  				INTEGER,
  		DESIGN_PBRIDGE_NUM         		INTEGER, 
  		DESIGN_BBU_NUM_2G           	INTEGER,
  		DESIGN_RRU_NUM_2G        		INTEGER,
  		DESIGN_BBU_NUM_LTE          	INTEGER,
  		DESIGN_RRU_NUM_LTE       		INTEGER,
  		CREATE_USERID 					VARCHAR2(40),
  		CREATE_DATE  					TEXT,
  		UPDATE_USERID 					VARCHAR2(40),
  		UPDATE_DATE  					TEXT,
  		UPDATE_TIMESTAMP            	TEXT,
  		USERID      					VARCHAR2(100),
       PRIMARY KEY (BO_END_REPORT_ID,USERID));
CREATE TABLE BO_PROJECT_OPEN(
      	BO_PROJECT_OPEN_ID     		VARCHAR2(80),
  		BO_SINGLE_PROJECT_ID 		VARCHAR2(80),
  		PROJECT_NAME 				VARCHAR2(40),
  		PROJECT_NUMBER 				VARCHAR2(500),
  		DEPT_PROJECT_NAME    		VARCHAR2(500),
  		DEPT_PROJECT_CODE    		VARCHAR2(100),
  		APP_TYPE_NAME 				VARCHAR2(200),
  		DOMAIN_ID 					VARCHAR2(100),
  		CITY_NAME 					VARCHAR2(200),
  		AREA_ID 					VARCHAR2(100),
  		AREA_NAME 					VARCHAR2(200),
  		OPEN_LATITUDE  				VARCHAR2(20),
  		OPEN_LONGITUDE  			VARCHAR2(20),
  		OPEN_USER_NAME       		VARCHAR2(200),
  		STATE         				VARCHAR2(10),
  		CREATE_USERID               VARCHAR2(20),
  		CREATE_DATE        			TEXT,
  		UPDATE_USERID         		VARCHAR2(20),
  		UPDATE_DATE     			TEXT,
  		UPDATE_TIMESTAMP         	TEXT,
  		USERID      				VARCHAR2(100),
       PRIMARY KEY (BO_PROJECT_OPEN_ID,USERID));
CREATE TABLE BO_PLAN_PROJECT(
      BO_PLAN_PROJECT_ID   	VARCHAR2(200),
      PROJECT_NAME     		VARCHAR2(500),
      DEPT_PROJECT_ID      	VARCHAR2(200),
      DEPT_PROJECT_CODE    	VARCHAR2(200),
      DOMAIN_ID             VARCHAR2(100),
      AREA_ID				VARCHAR2(100),
      APP_SORT				VARCHAR2(100),
      UPDATE_DATE			TEXT,
      USERID                VARCHAR2(20),
      PRIMARY KEY(BO_PLAN_PROJECT_ID,USERID));
CREATE TABLE BO_DESIGN_SURVEY_PROJECT(
      BO_SINGLE_PROJECT_ID   	VARCHAR2(200),
      PROJECT_NAME     			VARCHAR2(500),
      PROJECT_CODE     			VARCHAR2(200),
      DEPT_PROJECT_NAME      	VARCHAR2(500),
      DEPT_PROJECT_CODE    		VARCHAR2(200),
  	  LONGITUDE  				VARCHAR2(20),
  	  LATITUDE  				VARCHAR2(20),
      DOMAIN_ID             	VARCHAR2(100),
      AREA_ID             		VARCHAR2(100),
      BO_PLAN_ID				VARCHAR2(100),
      PLAN_NAME					VARCHAR2(500),
      SJ_DEPT_MANAGER			VARCHAR2(100),
      APP_SORT					VARCHAR2(100),
      DESIGN_COMP_DATE			TEXT,
      END_REPORT_DATE			TEXT,
      UPDATE_DATE				TEXT,
      USERID                	VARCHAR2(20),
      PRIMARY KEY(BO_SINGLE_PROJECT_ID,USERID));
CREATE TABLE BO_PLAN_SECTION(
 	  BO_PLAN_SECTION_ID		VARCHAR2(100),
 	  BO_PLAN_SECTION_NAME     	VARCHAR2(500),
      BO_SINGLE_PROJECT_ID   	VARCHAR2(200),
      PROJECT_NAME     			VARCHAR2(500),
      UPDATE_DATE				TEXT,
      USERID                	VARCHAR2(20),
      PRIMARY KEY(BO_PLAN_SECTION_ID,USERID));